OpenVDB: D1< CD_6TH > Struct Reference

OpenVDB 7.1.0

Static Public Member Functions | List of all members
D1< CD_6TH > Struct Reference

`#include <FiniteDifference.h>`

## Static Public Member Functions
template<typename ValueType >
static ValueType | difference (const ValueType &xp3, const ValueType &xp2, const ValueType &xp1, const ValueType &xm1, const ValueType &xm2, const ValueType &xm3)
template<typename Accessor >
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
template<typename Stencil >
static Stencil::ValueType | inX (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inY (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inZ (const Stencil &S)

## Member Function Documentation

## ◆ difference()

static ValueType difference | ( | const ValueType & | xp3,
|  | const ValueType & | xp2,
|  | const ValueType & | xp1,
|  | const ValueType & | xm1,
|  | const ValueType & | xm2,
|  | const ValueType & | xm3
| ) |  |
| inlinestatic

## ◆ inX() [1/2]

static Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inX() [2/2]

static Stencil::ValueType inX | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inY() [1/2]

static Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inY() [2/2]

static Stencil::ValueType inY | ( | const Stencil & | S | ) |
| inlinestatic

## ◆ inZ() [1/2]

static Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inlinestatic

## ◆ inZ() [2/2]

static Stencil::ValueType inZ | ( | const Stencil & | S | ) |
| inlinestatic

The documentation for this struct was generated from the following file:

- FiniteDifference.h